Bug 842587 - eclipse-wtp-jpa - compile with -target 1.5 or greater
eclipse-wtp-jpa - compile with -target 1.5 or greater
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse-wtp-jpa (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gerard Ryan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:23 EDT by Mikolaj Izdebski
Modified: 2013-04-23 12:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 12:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:23:26 EDT
Package eclipse-wtp-jpa appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Fedora End Of Life 2013-04-03 14:14:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Alexander Kurtakov 2013-04-23 12:14:00 EDT
Setting target in eclipse bundles is not the correct thing to do as they set their BREE per bundle. As wtp doesn't use jsr14 I'm closing as there is no other known problem with older bytecode.

Note You need to log in before you can comment on or make changes to this bug.